#include<bits/stdc++.h>

using namespace std;

int main()
{
    unsigned long long int v;
    cin>>v;
    long long broj=0;

    while (v>0)
    {
        int cif=v%10;
        if (cif==1)
            broj+=1;
        else if (cif==2)
            broj+=1;
        else if (cif==3)
            broj+=2;
        else if (cif==4)
            broj+=2;
        else if (cif==5)
            broj+=1;
        else if (cif==6)
            broj+=2;
        else if (cif==7)
            broj+=2;
        else if (cif==8)
            broj+=3;
        else if (cif==9)
            broj+=3;
        v=v/10;
    }

    cout<<broj;

    
}